Bug 1251364 - [abrt] epiphany-runtime: INT_cairo_surface_set_device_scale(): epiphany killed by SIGSEGV
[abrt] epiphany-runtime: INT_cairo_surface_set_device_scale(): epiphany kille...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: webkitgtk4 (Show other bugs)
rawhide
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomas Popela
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:c77d68771deab3e2b5ad7162c97...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-07 02:23 EDT by Steven Newbury
Modified: 2015-09-25 17:13 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-25 17:13:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (68.73 KB, text/plain)
2015-08-07 02:23 EDT, Steven Newbury
no flags Details
File: cgroup (190 bytes, text/plain)
2015-08-07 02:23 EDT, Steven Newbury
no flags Details
File: core_backtrace (6.19 KB, text/plain)
2015-08-07 02:23 EDT, Steven Newbury
no flags Details
File: dso_list (14.82 KB, text/plain)
2015-08-07 02:23 EDT, Steven Newbury
no flags Details
File: environ (912 bytes, text/plain)
2015-08-07 02:23 EDT, Steven Newbury
no flags Details
File: limits (1.29 KB, text/plain)
2015-08-07 02:23 EDT, Steven Newbury
no flags Details
File: maps (72.04 KB, text/plain)
2015-08-07 02:23 EDT, Steven Newbury
no flags Details
File: mountinfo (3.79 KB, text/plain)
2015-08-07 02:23 EDT, Steven Newbury
no flags Details
File: namespaces (85 bytes, text/plain)
2015-08-07 02:23 EDT, Steven Newbury
no flags Details
File: open_fds (2.28 KB, text/plain)
2015-08-07 02:23 EDT, Steven Newbury
no flags Details
File: proc_pid_status (1006 bytes, text/plain)
2015-08-07 02:23 EDT, Steven Newbury
no flags Details
File: var_log_messages (1.04 KB, text/plain)
2015-08-07 02:23 EDT, Steven Newbury
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
WebKit Project 149561 None None None Never

  None (edit)
Description Steven Newbury 2015-08-07 02:23:28 EDT
Description of problem:
Started epiphany, tried to reload failed tab.

Version-Release number of selected component:
epiphany-runtime-3.17.2-1.fc24

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        epiphany
crash_function: INT_cairo_surface_set_device_scale
executable:     /usr/bin/epiphany
global_pid:     3918
kernel:         4.2.0-0.rc5.git2.1.fc24.x86_64
runlevel:       N 5
type:           CCpp
uid:            1001

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 INT_cairo_surface_set_device_scale at cairo-surface.c:1712
 #1 WebCore::cairoSurfaceSetDeviceScale at /usr/src/debug/webkitgtk-2.9.5/Source/WebCore/platform/graphics/cairo/CairoUtilities.cpp:292
 #2 WebKit::BackingStore::createBackend at /usr/src/debug/webkitgtk-2.9.5/Source/WebKit2/UIProcess/cairo/BackingStoreCairo.cpp:72
 #3 WebKit::BackingStore::incorporateUpdate at /usr/src/debug/webkitgtk-2.9.5/Source/WebKit2/UIProcess/cairo/BackingStoreCairo.cpp:89
 #5 WebKit::DrawingAreaProxyImpl::incorporateUpdate at /usr/src/debug/webkitgtk-2.9.5/Source/WebKit2/UIProcess/DrawingAreaProxyImpl.cpp:221
 #6 IPC::callMemberFunctionImpl<WebKit::DrawingAreaProxy, void (WebKit::DrawingAreaProxy::*)(unsigned long, WebKit::UpdateInfo const&, WebKit::LayerTreeContext const&), std::tuple<unsigned long, WebKit::UpdateInfo, WebKit::LayerTreeContext>, 0ul, 1ul, 2ul>(WebKit::DrawingAreaProxy*, void (WebKit::DrawingAreaProxy::*)(unsigned long, WebKit::UpdateInfo const&, WebKit::LayerTreeContext const&), std::tuple<unsigned long, WebKit::UpdateInfo, WebKit::LayerTreeContext>&&, std::index_sequence<0ul, 1ul, 2ul>) at /usr/src/debug/webkitgtk-2.9.5/Source/WebKit2/Platform/IPC/HandleMessage.h:16
 #7 IPC::callMemberFunction<WebKit::DrawingAreaProxy, void (WebKit::DrawingAreaProxy::*)(unsigned long, WebKit::UpdateInfo const&, WebKit::LayerTreeContext const&), std::tuple<unsigned long, WebKit::UpdateInfo, WebKit::LayerTreeContext>, std::make_index_sequence<3ul> >(std::tuple<unsigned long, WebKit::UpdateInfo, WebKit::LayerTreeContext>&&, WebKit::DrawingAreaProxy*, void (WebKit::DrawingAreaProxy::*)(unsigned long, WebKit::UpdateInfo const&, WebKit::LayerTreeContext const&)) at /usr/src/debug/webkitgtk-2.9.5/Source/WebKit2/Platform/IPC/HandleMessage.h:22
 #8 IPC::handleMessage<Messages::DrawingAreaProxy::DidUpdateBackingStoreState, WebKit::DrawingAreaProxy, void (WebKit::DrawingAreaProxy::*)(unsigned long, WebKit::UpdateInfo const&, WebKit::LayerTreeContext const&)> at /usr/src/debug/webkitgtk-2.9.5/Source/WebKit2/Platform/IPC/HandleMessage.h:92
 #9 WebKit::DrawingAreaProxy::didReceiveMessage at /usr/src/debug/webkitgtk-2.9.5/x86_64-redhat-linux-gnu/DerivedSources/WebKit2/DrawingAreaProxyMessageReceiver.cpp:50
 #10 IPC::MessageReceiverMap::dispatchMessage at /usr/src/debug/webkitgtk-2.9.5/Source/WebKit2/Platform/IPC/MessageReceiverMap.cpp:102
Comment 1 Steven Newbury 2015-08-07 02:23:34 EDT
Created attachment 1060191 [details]
File: backtrace
Comment 2 Steven Newbury 2015-08-07 02:23:35 EDT
Created attachment 1060192 [details]
File: cgroup
Comment 3 Steven Newbury 2015-08-07 02:23:37 EDT
Created attachment 1060193 [details]
File: core_backtrace
Comment 4 Steven Newbury 2015-08-07 02:23:39 EDT
Created attachment 1060194 [details]
File: dso_list
Comment 5 Steven Newbury 2015-08-07 02:23:40 EDT
Created attachment 1060195 [details]
File: environ
Comment 6 Steven Newbury 2015-08-07 02:23:41 EDT
Created attachment 1060196 [details]
File: limits
Comment 7 Steven Newbury 2015-08-07 02:23:45 EDT
Created attachment 1060197 [details]
File: maps
Comment 8 Steven Newbury 2015-08-07 02:23:46 EDT
Created attachment 1060198 [details]
File: mountinfo
Comment 9 Steven Newbury 2015-08-07 02:23:47 EDT
Created attachment 1060199 [details]
File: namespaces
Comment 10 Steven Newbury 2015-08-07 02:23:48 EDT
Created attachment 1060200 [details]
File: open_fds
Comment 11 Steven Newbury 2015-08-07 02:23:50 EDT
Created attachment 1060201 [details]
File: proc_pid_status
Comment 12 Steven Newbury 2015-08-07 02:23:51 EDT
Created attachment 1060202 [details]
File: var_log_messages
Comment 13 Michael Catanzaro 2015-08-08 02:52:01 EDT
Thanks for reporting.

Yoon will fix this.

Note You need to log in before you can comment on or make changes to this bug.